Package org.kapott.hbci.sepa.jaxb.camt_052_001_09

## Class DatePeriod2

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_09.DatePeriod2

    public class DatePeriod2
    extends java.lang.Object

Java class for DatePeriod2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DatePeriod2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="FrDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}ISODate"/>
             <element name="ToDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}ISODate"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected javax.xml.datatype.XMLGregorianCalendar` `frDt`
`protected javax.xml.datatype.XMLGregorianCalendar` `toDt`

### Constructor Summary

Constructors
`DatePeriod2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.xml.datatype.XMLGregorianCalendar` `getFrDt()` Gets the value of the frDt property.
`javax.xml.datatype.XMLGregorianCalendar` `getToDt()` Gets the value of the toDt property.
`void` `setFrDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the frDt property.
`void` `setToDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the toDt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### frDt

    protected javax.xml.datatype.XMLGregorianCalendar frDt

#### toDt

    protected javax.xml.datatype.XMLGregorianCalendar toDt

### Constructor Detail

#### DatePeriod2

    public DatePeriod2()

### Method Detail

#### getFrDt

    public javax.xml.datatype.XMLGregorianCalendar getFrDt()

Gets the value of the frDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setFrDt

    public void setFrDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the frDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getToDt

    public javax.xml.datatype.XMLGregorianCalendar getToDt()

Gets the value of the toDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setToDt

    public void setToDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the toDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`